export const demoConfig = [
  {
    condition: "state",
    entity_id: "binary_sensor.dark_outside",
    state: "on",
  },
  {
    choose: [
      {
        conditions: [
          {
            condition: "state",
            entity_id: "binary_sensor.door_open",
            state: "on",
          },
        ],
        sequence: [
          {
            service: "light.turn_on",
            entity_id: "light.outdoors",
          }
        ],
      },
      {
        conditions: [
          {
            condition: "state",
            entity_id: "input_select.time_of_day",
            state: "night",
          },
        ],
        sequence: [
          {
            service: "light.turn_off",
            entity_id: "light.outdoors",
          }
        ],
      },
    ],
    default: [
    ],
  },
]

export const demoConfig2 = [
  { service: "light.turn_on",
    data: {
      entity_id: "group.bedroom",
      brightness: 100,
    },
  },
  { condition: "state",
    entity_id: "device_tracker.paulus",
    state: "home",
  },
  { delay: "01:00",
  },
  { wait_template: "{{ is_state(media_player.floor', 'stop') }}",
  },
  { event: "LOGBOOK_ENTRY",
    event_data: {
      name: "Paulus",
      message: "is waking up",
      entity_id: "device_tracker.paulus",
      domain: "light",
    },
  },
  { repeat: {
      count: "5",
      sequence: [
        { delay: 2
        },
        { service: "light.toggle",
          data: {
            entity_id: "light.bed_light",
          },
        },
      ],
    },
  },
  { choose: [
      { conditions: [],
        sequence: [
          { service: "test"},
          { service: "test"},
          { service: "test"},
        ],
      },
      { conditions: [],
        sequence: [
          { service: "test"},
        ],
      },
      { conditions: [],
        sequence: [
          { service: "test"},
          { service: "test"},
        ],
      },
    ],
    default: [
      { service: "test"},
      { service: "test"},
      { service: "test"},
    ],
  },
];
